Bug 504832 - libcfg is linked improperly to libconfdb
libcfg is linked improperly to libconfdb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 13:20 EDT by Steven Dake
Modified: 2016-04-26 11:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: openais-0.80.6-4.el5_4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:30:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2009-06-09 13:20:44 EDT
Description of problem:
the shared object name is set improperly in the Build system.  This causes rpm to create incorrect symbolic links which cause serious build warnings via RPM. 

Version-Release number of selected component (if applicable):
openais-0.80.6-3.el5

How reproducible:
100%

Steps to Reproduce:
1.rpm -ivh openais-0.80.6-3.el5*
2.ls -l /usr/lib/openais/libcfg*
3.
  
Actual results:
libcfg.so.2 is linked to libconfdb

Expected results:
libcfg should be linked to libcfg

Additional info:
Comment 2 Steven Dake 2009-06-09 15:11:56 EDT
patch available to solve problem.  This was a regression from adding confdb support for the configuration file dump rfe.
Comment 5 errata-xmlrpc 2009-09-02 07:30:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1366.html

Note You need to log in before you can comment on or make changes to this bug.